Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.connectedtorepository
Class JobEntryConnectedToRepository

    java.lang.Object
      org.pentaho.di.job.entry.JobEntryBase
          org.pentaho.di.job.entries.connectedtorepository.JobEntryConnectedToRepository

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.CheckResultSourceInterface, org.pentaho.di.core.variables.VariableSpace, JobEntryInterface, ResourceHolderInterface

    public class JobEntryConnectedToRepository

extends JobEntryBase
implements Cloneable, JobEntryInterface

Job entry connected to repositoryb.

Since:
  23-06-2008
Author:
  Samatar

Field Summary

Fields inherited from class org.pentaho.di.job.entry.JobEntryBase
`category_order`

Constructor Summary
`JobEntryConnectedToRepository()`
`JobEntryConnectedToRepository(JobEntryBase jeb)`
`JobEntryConnectedToRepository(String n, String scr)`

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, JobMeta jobMeta)` Support for overrides not having to put in a check method
`Object` | `clone()`
`boolean` | `evaluates()` check whether or not this job entry evaluates.
`org.pentaho.di.core.Result` | `execute(org.pentaho.di.core.Result previousResult, int nr, Repository rep, Job parentJob)` Execute this job entry and return the result.
`String` | `getRepName()`
`String` | `getUserName()`
`String` | `getXML()`
`boolean` | `isSpecificRep()`
`boolean` | `isSpecificUser()`
`boolean` | `isUnconditional()`
`void` | `loadRep(Repository rep, long id_jobentry, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers)`
`void` | `loadXML(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setRepName(String repname)`
`void` | `setSpecificRep(boolean isspecificrep)`
`void` | `setSpecificUser(boolean isspecificuser)`
`void` | `setUserName(String username)`

Methods inherited from class org.pentaho.di.job.entry.JobEntryBase
`clear, copyVariablesFrom, environmentSubstitute, environmentSubstitute, exportResources, getBooleanValueOfVariable, getConfigId, getDescription, getDialogClassName, getFilename, getHolderType, getID, getJobEntryType, getName, getParentVariableSpace, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getTypeCode, getTypeDesc, getTypeDesc, getTypeId, getUsedDatabaseConnections, getVariable, getVariable, hasChanged, initializeVariablesFrom, injectVariables, isDummy, isEvaluation, isFTP, isHTTP, isJob, isMail, isSFTP, isShell, isSpecial, isStart, isTransformation, listVariables, loadXML, parseRepositoryObjects, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setParentVariableSpace, setPluginID, setVariable, shareVariablesWith, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.job.entry.JobEntryInterface
`clear, exportResources, getConfigId, getDescription, getDialogClassName, getFilename, getID, getJobEntryType, getName, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getUsedDatabaseConnections, hasChanged, isDummy, isEvaluation, isJob, isMail, isShell, isSpecial, isStart, isTransformation, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setPluginID`

Constructor Detail

### JobEntryConnectedToRepository

    public JobEntryConnectedToRepository(String n,
                                         String scr)

### JobEntryConnectedToRepository

    public JobEntryConnectedToRepository()

### JobEntryConnectedToRepository

    public JobEntryConnectedToRepository(JobEntryBase jeb)

Method Detail

### setSpecificRep

    public void setSpecificRep(boolean isspecificrep)

### getRepName

    public String getRepName()

### setRepName

    public void setRepName(String repname)

### getUserName

    public String getUserName()

### setUserName

    public void setUserName(String username)

### isSpecificRep

    public boolean isSpecificRep()

### isSpecificUser

    public boolean isSpecificUser()

### setSpecificUser

    public void setSpecificUser(boolean isspecificuser)

### clone

    public Object clone()

  Specified by:
    `clone` in interface `JobEntryInterface`
  Overrides:
    `clone` in class `JobEntryBase`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `JobEntryInterface`
  Overrides:
    `getXML` in class `JobEntryBase`

### loadXML

    public void loadXML(Node entrynode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers,
                        Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Specified by:
    `loadXML` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### loadRep

    public void loadRep(Repository rep,
                        long id_jobentry,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `loadRep` in interface `JobEntryInterface`
  Overrides:
    `loadRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `saveRep` in interface `JobEntryInterface`
  Overrides:
    `saveRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### execute

    public org.pentaho.di.core.Result execute(org.pentaho.di.core.Result previousResult,
                                              int nr,
                                              Repository rep,
                                              Job parentJob)

  Execute this job entry and return the result. In this case it means, just set the result boolean in the Result class.

  Specified by:
    `execute` in interface `JobEntryInterface`
  Parameters:
    `previousResult` - The result of the previous execution
  Returns:
    The Result of the execution.

### evaluates

    public boolean evaluates()

  Description copied from class: `JobEntryBase`
  check whether or not this job entry evaluates.

  Specified by:
    `evaluates` in interface `JobEntryInterface`
  Overrides:
    `evaluates` in class `JobEntryBase`
  Returns:
    true if the job entry evaluates

### isUnconditional

    public boolean isUnconditional()

  Specified by:
    `isUnconditional` in interface `JobEntryInterface`
  Overrides:
    `isUnconditional` in class `JobEntryBase`

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Support for overrides not having to put in a check method

  Specified by:
    `check` in interface `JobEntryInterface`
  Overrides:
    `check` in class `JobEntryBase`
  Parameters:
    `remarks` - CheckResults from checking the job entry
    `jobMeta` - JobMeta information letting threading back to the JobMeta possible

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD